Description

If I'm reading http://reductivelabs.com/trac/puppet/wiki/ExternalNodes correctly, an external nodes script should produce no output in

the case where a node is not found.  This patch modifies the external node script to only output the response body if the return HTTP

code is 200, and output a brief message to stderr otherwise.  It also updates routes.rb to not choke on the puppetmaster node search

(host.domain, host, default).

Associated revisions

Revision 8b96913a - 12/09/2009 01:43 AM - Frank Sweetser

Fixes #122 - Only output yaml when node is found for puppetmasters host search function

History

#1 - 12/09/2009 01:51 AM - Ohad Levy

- Status changed from New to Assigned

- Target version set to 0.1-3

I'll apply the patch, but just one minor thing to note, the regexp will allow to query for short names as well, currently we only support querying for fqdn

values (e.g. if you query for plain "hostname" it will always return 404)

#2 - 12/09/2009 01:55 AM - Frank Sweetser

I figured that it made sense to do that for two reasons - one, to handle the short hostname check that puppetmaster does if it can't find the FQDN, and

two, for sites that don't use the hostname to identify the puppet node (I saw at least one place that generates a GUID for each node).

Either way, thanks =)

#3 - 12/09/2009 02:50 AM - Frank Sweetser

- Status changed from Assigned to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 8b96913ab2ad7e29005575d050ad56344106ae9f.

#4 - 12/09/2009 02:54 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

Files

0001-Only-output-yaml-when-node-is-found-for-puppetmaster.patch 1.81 KB 12/08/2009 Frank Sweetser
